Bug 520760 - cvsweb is not integrated to apache config
Summary: cvsweb is not integrated to apache config
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cvsweb
Version: 20
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Marek Mahut
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-02 08:44 UTC by pbartfai
Modified: 2015-06-30 00:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:32:46 UTC


Attachments (Terms of Use)

Description pbartfai 2009-09-02 08:44:18 UTC
Description of problem:
cvsweb is not integrated to apache config. The files (/usr/share/cvsweb/cvsweb.cgi, /usr/share/cvsweb/cvsweb.css) must be manually copied to appropriate folders.

Version-Release number of selected component (if applicable):
cvsweb-3.0.6-8.fc11.noarch

How reproducible:
install cvsweb, and cgi-bin/cvsweb.cgi is not accessible

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
# rpm -ql cvsweb
/etc/cvsweb
/etc/cvsweb/conf.d
/etc/cvsweb/cvsweb.conf
/usr/share/cvsweb
/usr/share/cvsweb/cvsweb.cgi
/usr/share/cvsweb/cvsweb.css
/usr/share/doc/cvsweb-3.0.6
/usr/share/doc/cvsweb-3.0.6/ChangeLog
/usr/share/doc/cvsweb-3.0.6/INSTALL
/usr/share/doc/cvsweb-3.0.6/NEWS
/usr/share/doc/cvsweb-3.0.6/README
/usr/share/doc/cvsweb-3.0.6/TODO
/usr/share/enscript
/usr/share/enscript/hl
/usr/share/enscript/hl/lang_cvsweb.st
/usr/share/enscript/hl/lang_cvsweb_diff.st
/var/www/icons/small/minigraph.png

Comment 1 Bug Zapper 2010-04-28 10:07:59 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 pbartfai 2010-06-08 12:59:54 UTC
The problem is still there in Fedora 13:
cvsweb-3.0.6-9.fc12.noarch

[root@fedora13 ~]# rpm -ql cvsweb
/etc/cvsweb
/etc/cvsweb/conf.d
/etc/cvsweb/cvsweb.conf
/usr/share/cvsweb
/usr/share/cvsweb/cvsweb.cgi
/usr/share/cvsweb/cvsweb.css
/usr/share/doc/cvsweb-3.0.6
/usr/share/doc/cvsweb-3.0.6/ChangeLog
/usr/share/doc/cvsweb-3.0.6/INSTALL
/usr/share/doc/cvsweb-3.0.6/NEWS
/usr/share/doc/cvsweb-3.0.6/README
/usr/share/doc/cvsweb-3.0.6/TODO
/usr/share/enscript
/usr/share/enscript/hl
/usr/share/enscript/hl/lang_cvsweb.st
/usr/share/enscript/hl/lang_cvsweb_diff.st
/var/www/icons/small/minigraph.png

I had to manually copy the relevant files:
cp /usr/share/cvsweb/cvsweb.cgi /var/www/cgi-bin
mkdir /var/www/html/cvsweb
cp /usr/share/cvsweb/cvsweb.css /var/www/html/cvsweb

Comment 3 Bug Zapper 2011-06-02 17:47:08 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2011-06-27 14:22:04 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 pbartfai 2013-10-07 07:45:01 UTC
Problem is still there in Fedora 19 & 20.

Alternate solution is adding /etc/httpd/conf.d/cvsweb/conf:

Alias /cvsweb/ /usr/share/cvsweb/
ScriptAlias /cvs /usr/share/cvsweb/cvsweb.cgi
<Directory /usr/share/cvsweb>
    Options FollowSymLinks Indexes
    AllowOverride All
    Require all granted
</Directory>

Comment 6 pbartfai 2013-10-07 08:22:29 UTC
Correct path is /etc/httpd/conf.d/cvsweb.conf

Comment 7 pbartfai 2013-12-26 22:15:47 UTC
minigraph.png is stored under /var/www/icons/small although similar icons are stored at /usr/share/httpd/icons/small

Comment 8 pbartfai 2013-12-26 22:25:52 UTC
icons/small/dir.gif is missing from httpd package but icons/dir.gif is available.

rpm -qli httpd|grep dir.gif
/usr/share/httpd/icons/dir.gif

Comment 9 pbartfai 2014-04-24 05:26:51 UTC
minigraph.png is not displayed. the icon link is /icons/small/minigraph.png. /icons is alias to /usr/share/httpd/icons/ but minigraph.png is located at /var/www/icons/small.

Comment 10 Fedora End Of Life 2015-05-29 08:36:09 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2015-06-30 00:32:46 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.